# WebhookSubscriptions Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/webhooksubscriptions/

Schema for the `WebhookSubscriptions` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the webhook subscription
- **`type`** _(string)_
  The type of subscription
  Allowed: `webhook`, `web_hook`
- **`notification_url`** _(string, required)_
  The URL where notifications will be sent
- **`resource_id`** _(string)_
  Provider-generated identifier for the watched resource
- **`resource_uri`** _(string)_
  The URI of the resource being watched
- **`change_types`** _(array<string>)_
  Types of changes to monitor
- **`expiration`** _(string)_
  When the subscription expires (ISO 8601 datetime)
- **`client_state`** _(string)_
  Optional secret for verifying webhook authenticity
- **`token`** _(string)_
  Optional token sent with notifications
- **`resource`** _(object)_
  The resource being monitored
  - **`id`** _(string)_
    ID of the resource (drive, folder, etc.)
  - **`type`** _(string)_
    Type of resource
    Allowed: `drive`, `folder`, `file`, `root`, `changes`
- **`drive`** _(object)_
  The drive being monitored
  - **`id`** _(string)_
    The unique identifier for a drive
- **`page_token`** _(string)_
  Starting page token for change notifications (Google Drive only)
- **`created_at`** _(string)_
  When the subscription was created
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/webhook-subscriptions](/docs/api-reference/unified-file-storage-api/webhooksubscriptions/list) — List Webhook subscriptions
- [POST /unified/file-storage/webhook-subscriptions](/docs/api-reference/unified-file-storage-api/webhooksubscriptions/create) — Create Webhook subscriptions
- [PATCH /unified/file-storage/webhook-subscriptions/{id}](/docs/api-reference/unified-file-storage-api/webhooksubscriptions/update) — Update Webhook subscriptions
- [DELETE /unified/file-storage/webhook-subscriptions/{id}](/docs/api-reference/unified-file-storage-api/webhooksubscriptions/delete) — Delete Webhook subscriptions
- [GET /unified/file-storage/webhook-subscriptions/{id}](/docs/api-reference/unified-file-storage-api/webhooksubscriptions/get) — Get Webhook subscriptions
